/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define low level routine to manage	*/
/*	e-mail 'pertinence' information.	*/
/*						*/
/************************************************/
#ifndef UNIPER
#define UNIPER

/*possible known language			*/
typedef	enum	{
	l_dflt,		/*dflt lang (English)	*/
	l_english,	/*English		*/
	l_french,	/*French		*/
	l_unknown	/*Unknown language	*/
	}LNGTYP;

/*possible E-mail pertinence level		*/
typedef enum	{	/*E-mail possible status*/
	p_tocheck,	/*0 mail must be checked*/
	p_nocare,	/*1 Accept All Email			*/
	p_scrap,	/*2 Accept E-mail even corrupted	*/
	p_spam,		/*3 Accept E-mail likely SPAM		*/
	p_caution,	/*4 Accept E-mail from a unknown server	*/
	p_contact,	/*5 Accept E-mail from a known server	*/
	p_known,	/*6 Accept E-mail from a known user	*/
	p_reply,	/*7 Accept E-mail only if a reply to me	*/
	p_nofilter,	/*8 accept any E-mail			*/
	p_unknown	/*  unknown pertinence level		*/
	}PERTYP;

/*possible E-mail URL Link			*/
typedef enum	{	/*E-mail possible status*/
	u_mailgood,	/*E-mail is a good one	*/
	u_unknown	/*Uknown URL		*/
	}URLTYP;

extern LNGTYP per_getlng(char *strlang);
extern const char *per_getstrper(LNGTYP lng,PERTYP pertinence);
extern const char *per_getstrlng(LNGTYP lng);
extern const char *per_getstrurl(LNGTYP lng,URLTYP url);
#endif
